curl --request POST \
--url https://api.hubapi.com/files/v3/folders/update/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}Update properties of folder by given ID. This action happens asynchronously and will update all of the folder’s children as well.
curl --request POST \
--url https://api.hubapi.com/files/v3/folders/update/async \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"id": "<string>",
"name": "<string>",
"parentFolderId": 123
}
'{
"id": "57122e26-59f8-4cfc-ba53-96e30c816762",
"links": [
{
"status": "https://api.hubspot.com/files/v3/folders/update/async/tasks/57122e26-59f8-4cfc-ba53-96e30c816762/status"
}
]
}Supported products
Required Scopes
The access token received from the authorization server in the OAuth 2.0 flow.
The unique identifier of the folder to be updated.
New name. If specified the folder's name and fullPath will change. All children of the folder will be updated accordingly.
New parent folderId. If changed, the folder and all it's children will be moved into the specified folder. parentFolderId and parentFolderPath cannot be specified at the same time.
Was this page helpful?